> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes

> List disputes with filtering and pagination

List disputes with filtering and pagination


## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/disputes
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/disputes:
    get:
      tags:
        - Dispute
      summary: List disputes
      description: List disputes with filtering and pagination
      operationId: v1-dispute-list-dispute
      parameters:
        - name: ids
          in: query
          description: Filter by Subotiz dispute IDs
          schema:
            type: array
            items:
              type: string
        - name: channel_dispute_ids
          in: query
          description: Filter by channel dispute IDs
          schema:
            type: array
            items:
              type: string
        - name: order_ids
          in: query
          description: Filter by order IDs
          schema:
            type: array
            items:
              type: string
        - name: dispute_status
          in: query
          description: >-
            Dispute status filter, comma separated values, e.g.
            `needs_response,under_review`
          schema:
            type: array
            items:
              type: string
        - name: payment_channel
          in: query
          description: Payment channel filter, comma separated values
          schema:
            type: array
            items:
              type: string
        - name: dispute_reason
          in: query
          description: Dispute reason filter, comma separated values
          schema:
            type: array
            items:
              type: string
        - name: starting_after
          in: query
          description: 'Cursor for pagination: starting_after'
          schema:
            type: string
        - name: ending_before
          in: query
          description: 'Cursor for pagination: ending_before'
          schema:
            type: string
        - name: limit
          in: query
          description: Page size, default 10, range [1,100]
          schema:
            type: integer
            format: int32
        - name: merchant_id
          in: query
          description: Merchant ID
          schema:
            type: string
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: updated_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: updated_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: updated_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: updated_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDisputesResponse'
        '422':
          description: merchant_id is required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
              example:
                code: InvalidParameter
                message: merchant_id is required.
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListDisputesResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListDisputesResponse_Data'
    BaseResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
    ListDisputesResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is a next page
        list:
          type: array
          items:
            $ref: '#/components/schemas/Dispute'
          description: List of disputes
    Dispute:
      type: object
      properties:
        id:
          type: string
          description: Subotiz dispute ID
        channel_dispute_id:
          type: string
          description: Channel dispute ID
        merchant_id:
          type: string
          description: Merchant ID
        order_id:
          type: string
          description: Order ID
        payment_channel:
          type: string
          description: Payment channel
        payment_method:
          type: string
          description: Payment method
        dispute_status:
          type: string
          description: |-
            Dispute status:
            - inquiry_needs_response - merchant needs to respond (inquiry)
            - inquiry_under_review - under review (inquiry)
            - case_closed - case closed
            - needs_response - merchant needs to respond
            - under_review - under review
            - won - dispute won
            - lost - dispute lost
            - open - unresolved
            - pending_customer_response - pending customer response
            - needs_response_appealable - merchant needs to respond (appealable)
        dispute_reason:
          type: string
          description: |-
            Dispute reason:
            - unauthorized
            - product_not_received
            - product_unacceptable
            - credit_not_processed
            - duplicate
            - subscription_canceled
            - unrecognized
            - incorrect_charge_amount
            - payment_by_other_methods
            - remittance_processing_error
            - others
        order_amount:
          type: string
          description: Order amount
        order_currency:
          type: string
          description: Order currency
        dispute_amount:
          type: string
          description: Dispute amount
        dispute_currency:
          type: string
          description: Dispute currency
        dispute_create_time:
          type: string
          description: Dispute creation time
        dispute_update_time:
          type: string
          description: Last update time
        dispute_due_time:
          type: string
          description: Response due time
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````